checksums.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
---
2
2
SHA256:
3
- metadata.gz: 74c3c08709d8f2e00c4a2df14806c6a8c87d510543aa23aaa95351df5c27fdaf
4
- data.tar.gz: b2b2c9023c49a39365be2266c7c74d43e53d35fc13a492153d8720cda54132ed
3
+ metadata.gz: 29cddf52ef6ef23bba3e3a4c62e1c160c1df9396625ab2863ada3f746fd9b863
4
+ data.tar.gz: 4bb444da35a9a9f5766e652f01bd9f35260c6d6a83c0b601afa5025eb4d3609b
5
5
SHA512:
6
- metadata.gz: f03f53e1f1a475f1e7f93fdb17cf06b979661c684a092ea805d75fa07e32ce31794293c5a6a866c352175f729c0e4ebebf218a198107c36d24ff9f26423c4416
7
- data.tar.gz: dbf6f562d7de09b0134d41330a5db2a0d6a306c0c9b6b92e1d8ffe262e85a44259379111787a35ef58087982bcc1e8ab0d6b492e15ea53aeea9b953a28b94001
6
+ metadata.gz: 98b64b81708922d666392e6bec09fc3d1be4c320c30970ee67ad3f120aef17e19ff19a4f67759131cd125203f2524ce4ebe7538f5e5b70a1d51bbe84d3d75018
7
+ data.tar.gz: 77cdfc8964685af62b55655c22b3bb4ef1c1cce1b382ae1bfd526508586f3d94e5ded7d2c1cfd921e0495ddd47f6f15e28bb5c7afe5afc07bc5ea56c5cf4f2f1
data/Gemfile.lock CHANGED
@@ -1,7 +1,7 @@
1
1
PATH
2
2
remote: .
3
3
specs:
4
- onceover-codequality (0.7.0)
4
+ onceover-codequality (0.7.1)
5
5
onceover (~> 3)
6
6
puppet-lint (~> 2)
7
7
puppet-strings (~> 2)
@@ -16,7 +16,7 @@ GEM
16
16
cri (2.15.6)
17
17
deep_merge (1.2.1)
18
18
diff-lcs (1.3)
19
- facter (2.5.1)
19
+ facter (2.5.5)
20
20
faraday (0.13.1)
21
21
multipart-post (>= 1.2, < 3)
22
22
faraday_middleware (0.12.2)
@@ -33,7 +33,6 @@ GEM
33
33
hiera (3.5.0)
34
34
hocon (1.2.5)
35
35
httpclient (2.8.3)
36
- json (2.2.0)
37
36
little-plugger (1.1.4)
38
37
locale (2.1.2)
39
38
log4r (1.1.10)
@@ -46,14 +45,14 @@ GEM
46
45
metaclass (~> 0.0.1)
47
46
multi_json (1.13.1)
48
47
multipart-post (2.1.1)
49
- onceover (3.13.4)
48
+ onceover (3.14.1)
50
49
backticks (>= 1.0.2)
51
50
colored (~> 1.2)
52
51
cri (>= 2.6)
53
52
deep_merge (>= 1.0.0)
54
53
git
55
- json (>= 1.8.2)
56
54
logging (>= 2.0.0)
55
+ multi_json (~> 1.10)
57
56
parallel_tests (>= 2.0.0)
58
57
puppet (>= 3.4.0)
59
58
puppetlabs_spec_helper (>= 0.4.0)
@@ -65,12 +64,12 @@ GEM
65
64
table_print (>= 1.0.0)
66
65
versionomy (>= 0.5.0)
67
66
parallel (1.17.0)
68
- parallel_tests (2.29.1)
67
+ parallel_tests (2.29.2)
69
68
parallel
70
69
pathspec (0.2.1)
71
- puppet (6.4.2)
70
+ puppet (6.7.2)
72
71
facter (> 2.0.1, < 4)
73
- fast_gettext (~> 1.1.2)
72
+ fast_gettext (~> 1.1)
74
73
hiera (>= 3.2.1, < 4)
75
74
httpclient (~> 2.8)
76
75
locale (~> 2.1)
@@ -78,12 +77,12 @@ GEM
78
77
puppet-resource_api (~> 1.5)
79
78
semantic_puppet (~> 1.0)
80
79
puppet-lint (2.3.6)
81
- puppet-resource_api (1.8.3)
80
+ puppet-resource_api (1.8.6)
82
81
hocon (>= 1.0)
83
- puppet-strings (2.2.0)
82
+ puppet-strings (2.3.0)
84
83
rgen
85
84
yard (~> 0.9.5)
86
- puppet-syntax (2.4.3)
85
+ puppet-syntax (2.5.0)
87
86
rake
88
87
puppet_forge (2.2.9)
89
88
faraday (>= 0.9.0, < 0.14.0)
@@ -128,7 +127,7 @@ GEM
128
127
text (1.3.1)
129
128
versionomy (0.5.0)
130
129
blockenspiel (~> 0.5)
131
- yard (0.9.19)
130
+ yard (0.9.20)
132
131
133
132
PLATFORMS
134
133
ruby
data/lib/onceover/codequality/version.rb CHANGED
@@ -1,5 +1,5 @@
1
1
class Onceover
2
2
module CodeQuality
3
- VERSION = "0.7.1"
3
+ VERSION = "0.7.2"
4
4
end
5
5
end
data/res/validate_yaml.py CHANGED
@@ -7,9 +7,9 @@ try:
7
7
import yaml
8
8
for root, dirs, files in os.walk("."):
9
9
for f in files:
10
- # we want yaml files that are not in hidden (.) dirs. account for / vs \ on windows/linux
10
+ # we want yaml files that are not in hidden (.) dirs or vendor directory. account for / vs \ on windows/linux
11
11
target = os.path.join(root, f)
12
- if target.endswith(".yaml") and not re.match("^\.(/|\\\)\.", target):
12
+ if target.endswith(".yaml") and not re.match("^\.(/|\\\)(\.|vendor)", target):
13
13
try:
14
14
yaml.safe_load(open(target,"r"))
15
15
except Exception as e:
metadata CHANGED
@@ -1,14 +1,14 @@
1
1
--- !ruby/object:Gem::Specification
2
2
name: onceover-codequality
3
3
version: !ruby/object:Gem::Version
4
- version: 0.7.1
4
+ version: 0.7.2
5
5
platform: ruby
6
6
authors:
7
7
- Declarative Systems
8
8
autorequire:
9
9
bindir: exe
10
10
cert_chain: []
11
- date: 2019-06-19 00:00:00.000000000 Z
11
+ date: 2019-08-13 00:00:00.000000000 Z
12
12
dependencies:
13
13
- !ruby/object:Gem::Dependency
14
14
name: bundler